Runs
Pause a run
Pauses an executing run at the next safe checkpoint.
POST
/
v1
/
runs
/
{runID}
/
pause
Pause a run
curl --request POST \
--url https://api.strait.dev/v1/runs/{runID}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.strait.dev/v1/runs/{runID}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.strait.dev/v1/runs/{runID}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempt": 123,
"created_at": "2023-11-07T05:31:56Z",
"debug_mode": true,
"id": "<string>",
"job_id": "<string>",
"job_version": 123,
"lineage_depth": 123,
"priority": 123,
"project_id": "<string>",
"status": "<string>",
"triggered_by": "<string>",
"$schema": "<string>",
"batch_id": "<string>",
"concurrency_key": "<string>",
"continuation_of": "<string>",
"created_by": "<string>",
"error": "<string>",
"error_class": "<string>",
"execution_mode": "<string>",
"execution_trace": {
"connect_ms": 123,
"dequeue_ms": 123,
"dispatch_ms": 123,
"queue_wait_ms": 123,
"total_ms": 123,
"transfer_ms": 123,
"ttfb_ms": 123
},
"expires_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"heartbeat_at": "2023-11-07T05:31:56Z",
"idempotency_key": "<string>",
"job_version_id": "<string>",
"machine_id": "<string>",
"max_attempts_override": 123,
"metadata": {},
"next_retry_at": "2023-11-07T05:31:56Z",
"parent_run_id": "<string>",
"payload": "<unknown>",
"result": "<unknown>",
"retry_backoff": "<string>",
"retry_initial_delay_secs": 123,
"retry_max_delay_secs": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"tags": {},
"timeout_secs_override": 123,
"workflow_step_run_id": "<string>"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Authorizations
API key passed as Bearer token
Path Parameters
Response
OK
A URL to the JSON Schema for this object.
Example:
"https://api.strait.dev/schemas/JobRun.json"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Pause a run
